## 1.2.1

Greater memory efficiency at runtime to allow even more complex applications on Safari,
whether on iPhone, Mac, or Apple Vision.

UASTC textures are now supercompressed with LZ4, which is the best choice for balancing
decoding speed, binary size, and compression ratios.

We now stream binary data into WebAssembly memory, which greatly improves peak memory
usage and paves the way for loading directly from streaming requests in the future.

### Changelog

**Editor**
- Add LZ4 supercompression for UASTC textures
- Generate tsconfig.json when a TypeScript component is created
- Restrict float material properties to their min/max limits
- Fix .editor folder not created if missing

**Engine**
- Add support for root motion handling
- Add text wrapping modes to text components
- Fix PCF shadows on mobile & standalone VR platforms
- Fix culled objects not casting shadows when multidraw is enabled

**Runtime**
- Stream data into wasm to optimize memory efficiency during scene loading
- Fix issues with skinning and texturing when multidraw is enabled
- Fix `navigator.xr` access preventing start in iframes that do not have the xr policy enabled
- Fix `rayHit._scene` not initialized before activation

**JavaScript/TypeScript API**
- Add `TextComponent.wrapMode` and `TextComponent.wrapWidth`
- Add `Font.outlineSize`
